protocol.c File Reference
Include dependency graph for protocol.c:

## Functions

SPA_EXPORT struct pw_protocol * | pw_protocol_new (struct pw_core *core, const char *name, size_t user_data_size)
SPA_EXPORT void * | pw_protocol_get_user_data (struct pw_protocol *protocol)
SPA_EXPORT const struct pw_protocol_implementaton * | pw_protocol_get_implementation (struct pw_protocol *protocol)
SPA_EXPORT const void * | pw_protocol_get_extension (struct pw_protocol *protocol)
SPA_EXPORT void | pw_protocol_destroy (struct pw_protocol *protocol)
SPA_EXPORT void | pw_protocol_add_listener (struct pw_protocol *protocol, struct spa_hook *listener, const struct pw_protocol_events *events, void *data)
SPA_EXPORT int | pw_protocol_add_marshal (struct pw_protocol *protocol, const struct pw_protocol_marshal *marshal)
SPA_EXPORT const struct pw_protocol_marshal * | pw_protocol_get_marshal (struct pw_protocol *protocol, uint32_t type)
SPA_EXPORT struct pw_protocol * | pw_core_find_protocol (struct pw_core *core, const char *name)

## Function Documentation

## pw_core_find_protocol()

SPA_EXPORT struct pw_protocol* pw_core_find_protocol | ( | struct pw_core * | core,
|  | const char * | name
| ) |  |

Referenced by pw_remote_new().

## pw_protocol_add_listener()

SPA_EXPORT void pw_protocol_add_listener | ( | struct pw_protocol * | protocol,
|  | struct spa_hook * | listener,
|  | const struct pw_protocol_events * | events,
|  | void * | data
| ) |  |

## pw_protocol_add_marshal()

SPA_EXPORT int pw_protocol_add_marshal | ( | struct pw_protocol * | protocol,
|  | const struct pw_protocol_marshal * | marshal
| ) |  |

References pw_protocol_marshal::type, and pw_protocol_marshal::version.

## pw_protocol_destroy()

SPA_EXPORT void pw_protocol_destroy | ( | struct pw_protocol * | protocol | ) |

References pw_protocol_client::link, pw_protocol_client_destroy, and pw_protocol_server_destroy.

## pw_protocol_get_extension()

SPA_EXPORT const void* pw_protocol_get_extension | ( | struct pw_protocol * | protocol | ) |

## pw_protocol_get_implementation()

SPA_EXPORT const struct pw_protocol_implementaton* pw_protocol_get_implementation | ( | struct pw_protocol * | protocol | ) |

## pw_protocol_get_marshal()

SPA_EXPORT const struct pw_protocol_marshal* pw_protocol_get_marshal | ( | struct pw_protocol * | protocol,
|  | uint32_t | type
| ) |  |

Referenced by pw_proxy::pw_proxy_new(), and pw_resource_new().

## pw_protocol_get_user_data()

SPA_EXPORT void* pw_protocol_get_user_data | ( | struct pw_protocol * | protocol | ) |

## pw_protocol_new()

SPA_EXPORT struct pw_protocol* pw_protocol_new | ( | struct pw_core * | core,
|  | const char * | name,
|  | size_t | user_data_size
| ) |  |